Skip to main content
`Ctrl`+`K`

# TSARKIMEXGetFullyImplicit

Inquires if both parts of the equation are solved implicitly

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXGetFullyImplicit(TS ts, PetscBool *flg)

Logically Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- flg - `PETSC_TRUE` for fully implicit

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEXGetType()`, `TSARKIMEXSetFullyImplicit()`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

## Implementations

TSARKIMEXGetFullyImplicit_ARKIMEX() in src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages